/*
  Simple example for receiving
  
  https://github.com/sui77/rc-switch/
*/

#include <RCSwitch.h>                                              // Library wird eingebunden
RCSwitch mySwitch = RCSwitch();
#include <Adafruit_NeoPixel.h>

#define PIN 3                                                      // an welchem Pin hängte LED dataIN
#define NUMPIXELS 1                                                // Anzahl der angeschlossenen LED(`s)
Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);    // Konfiguration der LED(´s)


void setup() {
  Serial.begin(9600);                                             // serielle schnittstelle wird zur Kommunikation eingerichtet
  mySwitch.enableReceive(0);                                      // Receiver on interrupt 0 => that is pin #2

  pixels.begin();                                                 // LED wird initialisiert
  for(int i=0; i<NUMPIXELS; i++)                                  // Schleife, in der Farben gesetzt werden
   {
    pixels.setPixelColor(i, pixels.Color(255, 255, 255));
    pixels.show();                                                // erst jetzt erscheint die eingestellt Farbe (weiß)
   }
}


void loop()                                                       // Schleife startet
{                                                                 // fange mit den ersten Funktion an
  pixels.clear();                        
               
  if (mySwitch.available()) {                                     // wird etwas sinnvolles empfangen ?
    int value = mySwitch.getReceivedValue();                      // setze den empfangenen Wert in die Variable "value"
    Serial.print(value);                                          // gebe mir den empfangenen Wert über die serielle Kommunikation aus (Terminalfenster)
  {
  
  if (value == 24433)                                             // wenn der empfangene Wert "24433" / Taster A ist
    for(int i=0; i<NUMPIXELS; i++)                                // dann setze in einer Schleife die LED-Werte auf rot
      {
        pixels.setPixelColor(i, pixels.Color(0, 255, 0));
        pixels.show();                                            // und stelle sie leuchtend dar
        delay(70);
      }

  if (value == 26120)
    for(int i=0; i<NUMPIXELS; i++) 
      {
        pixels.setPixelColor(i, pixels.Color(250, 140, 0));
        pixels.show(); 
        delay(70);
      }

  if (value == 24434)
    for(int i=0; i<NUMPIXELS; i++) 
      {
        pixels.setPixelColor(i, pixels.Color(255, 0, 0));
        pixels.show(); 
        delay(70);
      }
  }

  mySwitch.resetAvailable();                                    // setze den Empfänger wieder auf empfangsbereit
  }
}                                                               // sppringe wieder zum Schleifeanfang
